.modal {
	position: fixed;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	width: 100vw;
	z-index: 100;
	display: none;
	overflow: hidden;
	outline: 0;
}

.modal-dialog {
	display: flex;
	align-items: flex-start;
	justify-content: center;
	height: 100%;
	width: auto;
	max-width: 408px;
	margin: 25px auto;
}
.modal-dialog.modal-success {
	align-items: center;
}
.modal-overlay {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 1;
}
.modal-container {
	position: relative;
	width: 100%;
	padding-right: 8px;
	padding-left: 8px;
}

.modal-content {
	position: relative;
	width: 100%;
	max-height: 100vh;
	pointer-events: auto;
	outline: 0;
	overflow-y: auto;
	-webkit-overflow-scrolling: touch;
	scrollbar-width: none;
	overflow-x: hidden;
	z-index: 50;
}
.modal-content::-webkit-scrollbar {
	display: none;
}
.modal-body {
	position: relative;
	padding: 24px;
	border-radius: 16px;
	background: var(--color-white);
	font-size: var(--font-size-body-xs);
	line-height: 1.73;
}
.modal-body .btn {
	width: 100%;
	margin-top: 24px;
}
.modal-title {
	margin: 0 0 8px;
	font-weight: 500;
	font-size: var(--font-size-body);
	line-height: 1.16;
	text-align: center;
}
.modal-desc {
	margin: 0 0 24px;
	letter-spacing: 0.01em;
	text-align: center;
}
.modal-icon {
	width: 36px;
	height: 29px;
	margin: 0 auto;
	background: url("data:image/svg+xml;charset=UTF-8,%3csvg width='36' height='29' viewBox='0 0 36 29' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M35.8861 8.90681C34.443 -0.743208 21.9367 -2.9376 18.0127 4.22721C14.0633 -2.9376 1.5823 -0.743208 0.113949 8.90681C-1.15187 17.2878 8.34179 25.2457 17.9873 29C27.6582 25.2457 37.1519 17.2878 35.8861 8.90681Z' fill='%230ABCCF' /%3e%3c/svg%3e") no-repeat center /contain;
}

@media (max-width: 767px) {
	.modal-dialog {
		padding: 0 10px;
	}
	.modal-body {
		min-height: 200px;
		padding: 16px;
	}
}

@media (pointer:coarse) {
	.modal-content {
		padding: 35px 0;
	}
}